{
  "name": "juhe-factory-admin",
  "version": "0.0.1",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "vue-tsc --noEmit && vite build",
    "format": "prettier --write src",
    "format:check": "prettier --check src",
    "preview": "vite preview",
    "lint": "eslint . --ext .vue,.ts,.tsx --fix"
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.3.1",
    "axios": "^1.18.1",
    "element-plus": "^2.5.6",
    "pinia": "^2.1.7",
    "vue": "^3.4.21",
    "vue-router": "^4.3.0"
  },
  "devDependencies": {
    "@vitejs/plugin-vue": "^5.0.4",
    "@vue/tsconfig": "^0.5.1",
    "prettier": "3.9.6",
    "sass": "^1.71.1",
    "sass-embedded": "^1.100.0",
    "typescript": "^5.9.3",
    "vite": "^5.1.5",
    "vue-tsc": "^2.2.12"
  }
}
